/**
 * Override materialize theme
 * must be set before loading materialize
 */
:root {
  --grey-900-175: #ddd;
  --border-default-grey: var(--grey-900-175);
  --text-spacing: 0 0 1.5rem;

  --aei-background-white: rgb(255, 255, 255);
  --aei-border-card-color: rgb(221, 221, 221);
}

:root[data-fr-theme='dark'] {
  --aei-background-white: rgb(0, 0, 0);
  --aei-border-card-color: grey;
}

@import '@codegouvfr/react-dsfr/main.css';

.fr-table {
  --border-contrast-grey: rgb(22, 22, 22, 0.05);
  --border-plain-grey: rgb(22, 22, 22, 0.05);
}

.fr-table--lg .fr-table__content th,
.fr-table--lg .fr-table__content td {
  padding: 0.75rem 0.5rem;
}

html {
  font-size: 16px;
}

@media print {
  .fr-pagination {
    display: none !important;
  }

  th > a {
    display: none !important;
  }

  [position='sticky'] {
    display: none !important;
  }

  .fr-no-print {
    display: none !important;
  }

  .sidenav {
    display: none !important;
  }

  .private-layout__header {
    display: none !important;
  }

  .private-layout__body {
    margin-left: 0 !important;
  }

  .fc-toolbar {
    display: none !important;
  }

  .fr-tabs__list {
    display: none !important;
  }
}

/* Fixing DSFR */
[href].no-underline {
  background-image: none !important;
}

a[href]:active {
  background-color: var(--active-tint);
}

h1 {
  color: var(--text-action-high-blue-france);
}

.fr-icon--rotate-90::before {
  rotate: 90deg;
}

.fr-tile--shadow {
  z-index: 1500;
}

.fr-accordions-group.type-select {
  width: 100%;
}

.fr-btn--wide {
  width: 100%;
  justify-content: center;
}

.fr-btn--tertiary-no-outline {
  box-shadow: none;
}

.fr-tabs:before {
  box-shadow: none;
}

.fr-tabs__shadow::before {
  box-shadow: none;
  display: none;
}

.fr-tabs__list {
  padding: 0;
}

.fr-tabs__panel {
  padding: 0;
}

.fr-tabs__tab:first-child {
  margin-left: 0;
}

.fr-sidemenu,
.fr-sidemenu__item:before {
  box-shadow: none !important;
}

.fr-background-default--grey {
  background-color: var(--background-alt-grey); //#f6f6f6;
}

/* Fixing materialize */
.btn,
.btn-flat {
  text-transform: none;
}

.btn:hover {
  background-color: var(--background-active-blue-france-hover) !important;
}

.btn[variant='outlined'] {
  border: 1px solid var(--text-action-high-blue-france) !important;
  color: var(--text-action-high-blue-france) !important;
  background-color: transparent !important;
}

.btn[variant='secondary'] {
  border: none;
  color: var(--text-action-high-blue-france) !important;
  background-color: transparent !important;
  box-shadow: none;
}

.btn-wide {
  @extend .btn;
  width: 100%;
}

/* MISC */

@media (min-width: 993px) {
  [role='main'] {
    padding-bottom: 7.5rem;
  }
}

@media (max-width: 992px) {
  [role='main'] {
    padding-bottom: 4rem;
  }
}

@media (max-width: 600px) {
  [role='main'] {
    padding-bottom: 3rem;
  }
}

.fr-label-with-hint + .toggle-password-container {
  margin-top: 1.25rem;
}

.react-password-field .toggle-password-button {
  top: 0.3rem;
}

.aei-flex {
  display: flex;
}

.aei-text {
  &--center {
    text-align: center;
  }
  &--bold {
    font-weight: bold;
  }
}
